Loading...
Searching...
No Matches
OBConformerFilters Class Reference
Conformer Searching

`#include <openbabel/conformersearch.h>`

Inheritance diagram for OBConformerFilters:
[legend]

## Public Member Functions

| OBConformerFilters (const std::vector< OBConformerFilter * > &filters)
bool | IsGood (const OBMol &mol, const RotorKey &key, double *coords)

## Protected Attributes

std::vector< OBConformerFilter * > | m_filters

## Detailed Description

Class for combining OBConformerFilter objects.

The OBConformerFilters class makes it easy to combine OBConformerFilter objects. A list of OBConformerFilter objects is specified when constructing this class. The IsGood implementation simply checks all the specified filters and returns false if any of the filters returns false.

See also
  OBConformerSearch OBConformerFilter

Since
  2.3

## Constructor & Destructor Documentation

## OBConformerFilters()

OBConformerFilters | ( | const std::vector< OBConformerFilter * > & | filters | ) |

inline

Constructor specifiying the filters to combine.

## Member Function Documentation

## IsGood()

bool IsGood | ( | const OBMol & | mol,
|  | const RotorKey & | key,
|  | double * | coords )

inline virtual

IsGood reimplementation.

Returns
  True if all filters pass.

Implements OBConformerFilter.

Referenced by IsGood().

## Member Data Documentation

## m_filters

std::vector<OBConformerFilter*> m_filters

protected

Referenced by IsGood(), and OBConformerFilters().

The documentation for this class was generated from the following file:

- conformersearch.h